Find an active promotion code that can still be redeemed, by its exact code.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"string"Discounts
Find an active promotion code that can still be redeemed, by its exact code.
Find an active promotion code that can still be redeemed, by its exact code. The match is case-sensitive. Returns only the Code and StripeCoupon.Uid, and 404 if no code matches. No authentication is required.
GET
/
api
/
v1
/
billing
/
stripe
/
promotion-codes
/
search
/
{promotionCode}
Find an active promotion code that can still be redeemed, by its exact code.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.outseta.com/api/v1/billing/stripe/promotion-codes/search/{promotionCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body"string"Path Parameters
The code a customer enters
Response
200 - application/octet-stream
The response is of type file.